Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.search.basic
Class NullThesaurus

    java.lang.Object
      org.crosswire.jsword.book.search.basic.NullThesaurus

All Implemented Interfaces:
  Thesaurus

    public class NullThesaurus

extends Object
implements Thesaurus

An implementation of Thesaurus that simply returns the word that the user wanted similies of. Useful if there is no other source of similarity data.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: NullThesaurus.java,v 1.1 2004/09/29 22:21:23 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`NullThesaurus()`

Method Summary
`Collection` | `getSynonyms(String word)` Return an array of words that are used by this Bible that start with the given string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullThesaurus

    public NullThesaurus()

Method Detail

### getSynonyms

    public Collection getSynonyms(String word)
                           throws BookException

  Description copied from interface: `Thesaurus`
  Return an array of words that are used by this Bible that start with the given string. For example calling: `getStartsWith("love")` will return something like: { "love", "loves", "lover", "lovely", ... }

  Specified by:
    `getSynonyms` in interface `Thesaurus`
  Parameters:
    `word` - The word to base your word array on
  Returns:
    An array of words starting with the base
  Throws:
    `BookException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD